1. Projects
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Projects

Delete Project

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
DELETE
/v1/projects/{project_id}
Deletes the specified project

Request

Path Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://dev.your-api-server.com/v1/projects/'
Response Response Example
200 - Success
{
  "category": "INSUFFICIENT_PERMISSIONS",
  "message": "Your account does not have the required scope to perform that action for this project.",
  "details": "Check that your account has the 'project:write:destroy' scope for this project.",
  "request_id": "28cc6f81-7259-48c4-a19a-021a2ef6e47b"
}
Modified at 2024-07-29 06:02:48
Previous
Update Project
Next
Get Keys
Built with